Upgrade: Database Installer Failed - Database must be upgraded to AirWatch X.X before this upgrade can be applied

ERROR

The Database installer fails with the error : “RAISERROR ('Database must be upgraded to AirWatch X.X before this upgrade can be applied. Current Version is %s.', 16, 1, @Description);” in Database Install logs.

 

RESOLUTION

The installer is not able to determine the version of the current database version as it is stated in a language other than English. Change the language of the accounted used to connect to the AirWatch database to to “English” and run the Database installer again.

Using SQL Server Management Studio

  1. Change the Default Language for all users
    1. In Object Explorer, right-click a server and select Properties.
    2. Click the Misc server settings node.
    3. In the Default language for users box, choose the language in which Microsoft SQL Server should display system messages. The default language is English .
  2. Change the language for the account used to connect to the AirWatch Database. 
    1. In Object Explorer, expand "Security", then expand "Logins"
    2. Right click on the account being uses to connect to the AirWatch Database
    3. Click the "Default Language" dropdown at the bottom of the page and select "English". 

Screen_Shot_2016-07-12_at_10.33.39_PM.png

 

Have more questions? Submit a request

0 Comments

Article is closed for comments.